//[passport-contacts-core](../../../../index.md)/[com.yandex.passport.contacts.core](../../index.md)/[ContactsCoreComponent](../index.md)/[Builder](index.md)

# Builder

[passport-contacts-core]\
@Component.Builder

interface [Builder](index.md)

## Functions

| Name | Summary |
|---|---|
| [build](build.md) | [passport-contacts-core]<br>abstract fun [build](build.md)(): [ContactsCoreComponent](../index.md) |
| [context](context.md) | [passport-contacts-core]<br>@BindsInstance<br>abstract fun [context](context.md)(context: Context): [ContactsCoreComponent.Builder](index.md)<br>Application Context. |
| [dependencies](dependencies.md) | [passport-contacts-core]<br>abstract fun [dependencies](dependencies.md)(dependencies: [ContactsCoreDependencies](../../-contacts-core-dependencies/index.md)): [ContactsCoreComponent.Builder](index.md)<br>Component dependencies. |

## Properties

| Name | Summary |
|---|---|
| [context](context.md) | [passport-contacts-core]<br>open var [context](context.md): Context |
| [dependencies](dependencies.md) | [passport-contacts-core]<br>open var [dependencies](dependencies.md): [ContactsCoreDependencies](../../-contacts-core-dependencies/index.md) |
